aboutsummaryrefslogtreecommitdiffstats
path: root/make/unexpected_use
diff options
context:
space:
mode:
Diffstat (limited to 'make/unexpected_use')
-rwxr-xr-xmake/unexpected_use29
1 files changed, 29 insertions, 0 deletions
diff --git a/make/unexpected_use b/make/unexpected_use
new file mode 100755
index 0000000000..d7543a7d83
--- /dev/null
+++ b/make/unexpected_use
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# %CopyrightBegin%
+#
+# Copyright Ericsson AB 2010. All Rights Reserved.
+#
+# The contents of this file are subject to the Erlang Public License,
+# Version 1.1, (the "License"); you may not use this file except in
+# compliance with the License. You should have received a copy of the
+# Erlang Public License along with this software. If not, it can be
+# retrieved online at http://www.erlang.org/.
+#
+# Software distributed under the License is distributed on an "AS IS"
+# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
+# the License for the specific language governing rights and limitations
+# under the License.
+#
+# %CopyrightEnd%
+#
+
+prog=`basename "$0"` || prog="$0"
+
+cat 1>&2 <<EOF
+* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
+ ERROR: Unexpected use of '$prog' in 'install', or 'release' phase.
+* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
+EOF
+
+exit 1